.deck-container {
  position: fixed;
  top: calc(45% + 1.5rem);
/*
  min-width: 200px;
  min-height: 200px;
*/
  left: 50%;
  -webkit-transform: translate3d(-50%, -50%, 0);
  -moz-transform: translate3d(-50%, -50%, 0);
  -o-transform: translate3d(-50%, -50%, 0);
  -ms-transform: translate3d(-50%, -50%, 0);
  transform: translate3d(-50%, -50%, 0);
}
#deck {
	height: 100%
}
#topbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: #334d41;
  padding: 0.25rem;
  text-align: center;
}
#topbar button {
  background: none;
  border: 1px solid #fff;
  outline: none;
  margin: 0.1rem;
  padding: 0.4rem;
  font: inherit;
  font-size: 0.75rem;
  line-height: 1;
  color: #fff;
  cursor: pointer;
}
#topbar button:hover {
  background-color: #fff;
  color: #444;
}
.message {
  position: fixed;
  top: 2.5rem;
  left: 0;
  width: 100%;
  padding: 1rem 0.5rem;
  font-size: 0.5rem;
  text-align: center;
}
.card {
  position: absolute;
  display: inline-block;
  left: -1.9375rem;
  top: -2.75rem;
/*
  width: 3.875rem;
  height: 5.5rem;
*/
  width: 9.75rem;
  height: 13rem;
  background-color: #fff;
  -webkit-border-radius: 4px;
  border-radius: 4px;
  -webkit-box-shadow: 0 1px 1px rgba(0,0,0,0.15);
  box-shadow: 0 1px 1px rgba(0,0,0,0.15);
  cursor: default;
  will-change: transform;
}
.card:before,
.card:after {
  position: absolute;
  font-size: 0.7rem;
  text-align: center;
  line-height: 0.7rem;
  font-family: 'Ubuntu Condensed', sans-serif;
  white-space: pre-line;
  width: 0.55rem;
  letter-spacing: -0.1rem;
}
.card:before {
  top: 0.15rem;
  left: 0;
}
.card:after {
  bottom: 0.1rem;
  right: 0;
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -o-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  transform: rotate(180deg);
}
.card .face {
  height: 100%;
  background-position: 50% 50%;
  -webkit-background-size: 100% 100%;
  -moz-background-size: 100% 100%;
  background-size: 100% 100%;
  background-repeat: no-repeat;
}
.card .back {
  position: absolute;
  background-image: url("../images/poker/faces/back.png");
  background-position: 50% 50%;
  -webkit-background-size: 100% 100%;
  -moz-background-size: 100% 100%;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
.card.superclue .back {
  position: absolute;
  background-image: url("../images/card-super-clue.webp");
  background-position: 50% 50%;
  -webkit-background-size: 100% 100%;
  -moz-background-size: 100% 100%;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
.card.murder .back {
  position: absolute;
  background-image: url("../images/card-murder.webp");
  background-position: 50% 50%;
  -webkit-background-size: 100% 100%;
  -moz-background-size: 100% 100%;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
.card.spades,
.card.clubs,
.card.joker {
  color: #000;
}
.card.hearts,
.card.diamonds,
.card.joker.rank3 {
  color: #d40000;
}
.card.joker.rank1:before,
.card.joker.rank2:before,
.card.joker.rank3:before,
.card.joker.rank1:after,
.card.joker.rank2:after,
.card.joker.rank3:after {
  content: "J\a O\a K\a E\a R";
  letter-spacing: 0;
  font-size: 0.4rem;
  line-height: 0.4rem;
  padding: 0.15rem 0.05rem;
  width: 0.5rem;
}
/* Hide these corner numbering! */
/*
.card.rank1:before,
.card.rank1:after {
  content: "A";
}
.card.rank2:before,
.card.rank2:after {
  content: "2";
}
.card.rank3:before,
.card.rank3:after {
  content: "3";
}
.card.rank4:before,
.card.rank4:after {
  content: "4";
}
.card.rank5:before,
.card.rank5:after {
  content: "5";
}
.card.rank6:before,
.card.rank6:after {
  content: "6";
}
.card.rank7:before,
.card.rank7:after {
  content: "7";
}
.card.rank8:before,
.card.rank8:after {
  content: "8";
}
.card.rank9:before,
.card.rank9:after {
  content: "9";
}
.card.rank10:before,
.card.rank10:after {
  content: "10";
}
.card.rank11:before,
.card.rank11:after {
  content: "J";
}
.card.rank12:before,
.card.rank12:after {
  content: "Q";
}
.card.rank13:before,
.card.rank13:after {
  content: "K";
}
*/

.card.superclue .face {
  background-image: url("../images/card-blank.webp");
}
.card.superclue.rank0 .face {
  background-image: url("../images/card-look-1.webp");
}
.card.superclue.rank1 .face {
  background-image: url("../images/card-look-1.webp");
}
.card.superclue.rank2 .face {
  background-image: url("../images/card-look-1.webp");
}
.card.superclue.rank3 .face {
  background-image: url("../images/card-look-1.webp");
}
.card.superclue.rank4 .face {
  background-image: url("../images/card-look-1.webp");
}
.card.superclue.rank5 .face {
  background-image: url("../images/card-look-1.webp");
}
.card.superclue.rank6 .face {
  background-image: url("../images/card-look-1.webp");
}
.card.superclue.rank7 .face {
  background-image: url("../images/card-look-2.webp");
}
.card.superclue.rank8 .face {
  background-image: url("../images/card-look-2.webp");
}
.card.superclue.rank9 .face {
  background-image: url("../images/card-look-2.webp");
}
.card.superclue.rank10 .face {
  background-image: url("../images/card-look-2.webp");
}
.card.superclue.rank11 .face {
  background-image: url("../images/card-look-2.webp");
}
.card.superclue.rank12 .face {
  background-image: url("../images/card-take-1.webp");
}
.card.superclue.rank13 .face {
  background-image: url("../images/card-take-1.webp");
}
.card.superclue.rank14 .face {
  background-image: url("../images/card-take-2.webp");
}
.card.superclue.rank15 .face {
  background-image: url("../images/card-take-3.webp");
}
.card.superclue.rank16 .face {
  background-image: url("../images/card-take-4.webp");
}
.card.superclue.rank17 .face {
  background-image: url("../images/card-false-alarm.webp");
}

.card.murder .face {
  background-image: url("../images/card-who-unknown.webp");
}
.card.murder.rank0 .face {
  background-image: url("../images/card-player-yellow.webp");
}
.card.murder.rank1 .face {
  background-image: url("../images/card-player-red.webp");
}
.card.murder.rank2 .face {
  background-image: url("../images/card-player-brown.webp");
}
.card.murder.rank3 .face {
  background-image: url("../images/card-player-white.webp");
}
.card.murder.rank4 .face {
  background-image: url("../images/card-player-gray.webp");
}
.card.murder.rank5 .face {
  background-image: url("../images/card-player-green.webp");
}
.card.murder.rank6 .face {
  background-image: url("../images/card-player-purple.webp");
}
.card.murder.rank7 .face {
  background-image: url("../images/card-player-blue.webp");
}
.card.murder.rank8 .face {
  background-image: url("../images/card-player-pink.webp");
}
.card.murder.rank9 .face {
  background-image: url("../images/card-wpn-poison.webp");
}
.card.murder.rank10 .face {
  background-image: url("../images/card-wpn-blunderbuss.webp");
}
.card.murder.rank11 .face {
  background-image: url("../images/card-wpn-revolver.webp");
}
.card.murder.rank12 .face {
  background-image: url("../images/card-wpn-axe.webp");
}
.card.murder.rank13 .face {
  background-image: url("../images/card-wpn-rope.webp");
}
.card.murder.rank14 .face {
  background-image: url("../images/card-wpn-spanner.webp");
}
.card.murder.rank15 .face {
  background-image: url("../images/card-wpn-leadpiping.webp");
}
.card.murder.rank16 .face {
  background-image: url("../images/card-wpn-dagger.webp");
}
.card.murder.rank17 .face {
  background-image: url("../images/card-wpn-candlestick.webp");
}
.card.murder.rank18 .face {
  background-image: url("../images/card-room-hall.webp");
}
.card.murder.rank19 .face {
  background-image: url("../images/card-room-conservatory.webp");
}
.card.murder.rank20 .face {
  background-image: url("../images/card-room-study.webp");
}
.card.murder.rank21 .face {
  background-image: url("../images/card-room-library.webp");
}
.card.murder.rank22 .face {
  background-image: url("../images/card-room-lounge.webp");
}
.card.murder.rank23 .face {
  background-image: url("../images/card-room-kitchen.webp");
}
.card.murder.rank24 .face {
  background-image: url("../images/card-room-billiard.webp");
}
.card.murder.rank25 .face {
  background-image: url("../images/card-room-dining.webp");
}
.card.murder.rank26 .face {
  background-image: url("../images/card-room-ballroom.webp");
}

/*
.card.hearts.rank1 .face {
  background-image: url("../images/poker/faces/1_1.svg");
}
.card.hearts.rank2 .face {
  background-image: url("../images/poker/faces/1_2.svg");
}
.card.hearts.rank3 .face {
  background-image: url("../images/poker/faces/1_3.svg");
}
.card.hearts.rank4 .face {
  background-image: url("../images/poker/faces/1_4.svg");
}
.card.hearts.rank5 .face {
  background-image: url("../images/poker/faces/1_5.svg");
}
.card.hearts.rank6 .face {
  background-image: url("../images/poker/faces/1_6.svg");
}
.card.hearts.rank7 .face {
  background-image: url("../images/poker/faces/1_7.svg");
}
.card.hearts.rank8 .face {
  background-image: url("../images/poker/faces/1_8.svg");
}
.card.hearts.rank9 .face {
  background-image: url("../images/poker/faces/1_9.svg");
}
.card.hearts.rank10 .face {
  background-image: url("../images/poker/faces/1_10.svg");
}
.card.hearts.rank11 .face {
  background-image: url("../images/poker/faces/1_11.svg");
}
.card.hearts.rank12 .face {
  background-image: url("../images/poker/faces/1_12.svg");
}
.card.hearts.rank13 .face {
  background-image: url("../images/poker/faces/1_13.svg");
}
.card.clubs.rank1 .face {
  background-image: url("../images/poker/faces/2_1.svg");
}
.card.clubs.rank2 .face {
  background-image: url("../images/poker/faces/2_2.svg");
}
.card.clubs.rank3 .face {
  background-image: url("../images/poker/faces/2_3.svg");
}
.card.clubs.rank4 .face {
  background-image: url("../images/poker/faces/2_4.svg");
}
.card.clubs.rank5 .face {
  background-image: url("../images/poker/faces/2_5.svg");
}
.card.clubs.rank6 .face {
  background-image: url("../images/poker/faces/2_6.svg");
}
.card.clubs.rank7 .face {
  background-image: url("../images/poker/faces/2_7.svg");
}
.card.clubs.rank8 .face {
  background-image: url("../images/poker/faces/2_8.svg");
}
.card.clubs.rank9 .face {
  background-image: url("../images/poker/faces/2_9.svg");
}
.card.clubs.rank10 .face {
  background-image: url("../images/poker/faces/2_10.svg");
}
.card.clubs.rank11 .face {
  background-image: url("../images/poker/faces/2_11.svg");
}
.card.clubs.rank12 .face {
  background-image: url("../images/poker/faces/2_12.svg");
}
.card.clubs.rank13 .face {
  background-image: url("../images/poker/faces/2_13.svg");
}
.card.diamonds.rank1 .face {
  background-image: url("../images/poker/faces/3_1.svg");
}
.card.diamonds.rank2 .face {
  background-image: url("../images/poker/faces/3_2.svg");
}
.card.diamonds.rank3 .face {
  background-image: url("../images/poker/faces/3_3.svg");
}
.card.diamonds.rank4 .face {
  background-image: url("../images/poker/faces/3_4.svg");
}
.card.diamonds.rank5 .face {
  background-image: url("../images/poker/faces/3_5.svg");
}
.card.diamonds.rank6 .face {
  background-image: url("../images/poker/faces/3_6.svg");
}
.card.diamonds.rank7 .face {
  background-image: url("../images/poker/faces/3_7.svg");
}
.card.diamonds.rank8 .face {
  background-image: url("../images/poker/faces/3_8.svg");
}
.card.diamonds.rank9 .face {
  background-image: url("../images/poker/faces/3_9.svg");
}
.card.diamonds.rank10 .face {
  background-image: url("../images/poker/faces/3_10.svg");
}
.card.diamonds.rank11 .face {
  background-image: url("../images/poker/faces/3_11.svg");
}
.card.diamonds.rank12 .face {
  background-image: url("../images/poker/faces/3_12.svg");
}
.card.diamonds.rank13 .face {
  background-image: url("../images/poker/faces/3_13.svg");
}
.card.joker.rank1 .face {
  background-image: url("../images/poker/faces/4_1.svg");
}
.card.joker.rank2 .face {
  background-image: url("../images/poker/faces/4_2.svg");
}
.card.joker.rank3 .face {
  background-image: url("../images/poker/faces/4_3.svg");
}
*/
@media (max-width: 540px) {
  #topbar {
    text-align: left;
  }
  .gh-ribbon {
    -webkit-transform: scale(0.5);
    -moz-transform: scale(0.5);
    -o-transform: scale(0.5);
    -ms-transform: scale(0.5);
    transform: scale(0.5);
    -webkit-transform-origin: 100% 0;
    -moz-transform-origin: 100% 0;
    -o-transform-origin: 100% 0;
    -ms-transform-origin: 100% 0;
    transform-origin: 100% 0;
  }
}
@media (min-width: 640px) {
  html {
    font-size: 125%;
  }
}
